Bug 8526 - Incorrect kdialog options for toolbar icons configuration
: Incorrect kdialog options for toolbar icons configuration
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-29 13:20 MSK by Andrey Bondrov
Modified: 2017-12-05 17:45 MSK (History)
1 user (show)

See Also:
RPM Package: kdelibs4
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-11-29 13:20:40 MSK
KF5-based kdialog doesn't accept --caption option, kdelibs4 should use --title instead.

Test case:
1. Open Dolphin
2. Go to toolbar configuration
3. Try to change icon for any action

Expected result: dialog window with icons
Actual result: nothing happens
Comment 1 Andrey Bondrov 2017-11-29 13:22:06 MSK
Advisory: "kdialog no longer accepts --caption option, use --title instead (kdelibs4)"

https://abf.rosalinux.ru/build_lists/2914059
https://abf.rosalinux.ru/build_lists/2914060

Only rosa2016.1 is affected.
Comment 2 Vladimir Potapov 2017-12-01 20:09:21 MSK
The update is sent to expanded testing
*******************************************
Comment 3 Vladimir Potapov 2017-12-05 17:08:55 MSK
kdelibs4-4.14.37-2
https://abf.rosalinux.ru/build_lists/2914059
https://abf.rosalinux.ru/build_lists/2914060
******************************** Advisory ************************************
kdialog no longer accepts --caption option, use --title instead (kdelibs4)
******************************************************************************
QA Verified